org.eclipse.ecf.provider.comm.tcp

## Class SynchMessage

- java.lang.Object
- - org.eclipse.ecf.provider.comm.tcp.AsynchMessage
  - - org.eclipse.ecf.provider.comm.tcp.SynchMessage

All Implemented Interfaces:
  Serializable

    public class SynchMessage
    extends AsynchMessage

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`SynchMessage()`
`SynchMessage(Serializable data)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `toString()`

### Methods inherited from class org.eclipse.ecf.provider.comm.tcp.AsynchMessage

`getData`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SynchMessage

    public SynchMessage(Serializable data)

Parameters:
  `data` - data
Since:
  4.3

#### SynchMessage

    public SynchMessage()

Since:
  4.3

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `AsynchMessage`